Api reference
Create a POBO business
POST/api/merchant/pobo/users
Creates a business customer and returns a protected agreement URL. Creating a business does not provision a Naira receiving account.
Request
Parameters
Prop
Type
Request body (required)
Prop
Type
{ "businessName": "Acme US Inc", "email": "ops@acme.us", "phoneNumber": "2025550100", "country": "US", "allowNairaCollection": false}Responses
201 POBO business created
{ "type": "object", "required": [ "message", "response" ], "properties": { "message": { "type": "string" }, "response": { "type": "object", "required": [ "poboUserId", "businessName", "country", "allowNairaCollection", "nairaCollectionStatus", "wallets", "agreement", "kyb", "createdAt", "updatedAt" ], "properties": { "poboUserId": { "type": "string", "example": "pobou_3a2b1c0d4e5f" }, "businessName": { "type": "string" }, "country": { "type": "string" }, "allowNairaCollection": { "type": "boolean" }, "nairaCollectionStatus": { "type": "string", "enum": [ "not_requested", "pending", "active", "failed" ] }, "wallets": { "type": "object", "required": [ "evm", "svm" ], "properties": { "evm": { "type": "object", "required": [ "address" ], "properties": { "address": { "type": "string" } } }, "svm": { "type": "object", "required": [ "address" ], "properties": { "address": { "type": "string" } } } } }, "agreement": { "type": "object", "required": [ "status" ], "properties": { "status": { "type": "string", "enum": [ "pending", "accepted" ] }, "url": { "type": "string", "format": "uri", "description": "Returned only on creation or when issuing a fresh link." } } }, "kyb": { "type": "object", "required": [ "status", "pendingRequirements", "lastSyncedAt" ], "properties": { "status": { "type": "string", "enum": [ "agreement_pending", "not_started", "processing", "action_required", "verified", "declined" ] }, "pendingRequirements": { "type": "array", "items": {} }, "lastSyncedAt": { "type": "string", "format": "date-time", "nullable": true } } }, "createdAt": { "type": "string", "format": "date-time" }, "updatedAt": { "type": "string", "format": "date-time" } }, "title": "PoboBusiness" } }, "title": "PoboBusinessResponse"}